package com.hxstrive.rabbitmq.consumer.fanout;

import org.springframework.amqp.core.Message;
import org.springframework.amqp.core.MessageListener;
import org.springframework.stereotype.Component;

/**
 * RabbitMQ与Spring集成fanout消费者
 * @author hxstrive.com 2022/2/8
 */
@Component
public class FanoutConsumer2 implements MessageListener{

    public void onMessage(Message message) {
        System.out.println("FanoutConsumer2 Get message:"
                + new String(message.getBody()));
    }

}
