package com.hxstrive.rabbitmq.consumer.topic;

import org.springframework.amqp.core.Message;
import org.springframework.amqp.core.MessageListener;
import org.springframework.stereotype.Component;

/**
 * RabbitMQ与Spring集成topic消费者
 * @author hxstrive.com 2022/2/8
 */
@Component
public class Topic2Consumer implements MessageListener{

    public void onMessage(Message message) {
        System.out.println("Topic2Consumer Get message:"
                + new String(message.getBody()));
    }

}
