<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%
    String path = request.getContextPath();
    String basePath = request.getScheme() + "://"
            + request.getServerName() + ":" + request.getServerPort()
            + path + "/";
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <base href="<%=basePath%>">
    <title>Spring 集成 RabbitMQ</title>
    <meta http-equiv="pragma" content="no-cache">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="0">
    <link rel="stylesheet" type="text/css" href="<%=basePath%>/resources/js/bootstrap-3.3.7-dist/css/bootstrap.css">
    <script type="text/javascript" src="<%=basePath%>/resources/js/jquery-2.1.0.js"></script>
    <script type="text/javascript" src="<%=basePath%>/resources/js/bootstrap-3.3.7-dist/js/bootstrap.js"></script>
    <style type="text/css">
        .success {color:green;}
        .error {color:red;}
    </style>
</head>
<body>
    <div id="producer" style="width:80%;margin-left:10%;">
        <h2 class="h1">消息生产者</h2>
        <p>
            <textarea id="message" class="form-control"
                    cols="40" rows="10">我是一条MQ消息哦！！！</textarea>
        </p>
        <p>
            <button class="btn btn-primary" onclick="send('fanoutSender')">发送Fanout消息</button>
            <button class="btn btn-primary" onclick="send('topicSender')">发送Topic消息</button>
        </p>
        <p>
            <span id="status"></span>
        </p>
    </div>
    <script type="text/javascript">
        function send(controller){
            var message = $.trim($("#message").val());
            if(message === "") {
                alert("不能发送空消息");
                return;
            }
            $.ajax({
                type: 'post',
                url:'<%=basePath%>rabbitmq/' + controller,
                dataType:'text',
                data:{
                    "message": message
                },
                success:function(data){
                    if(data === "success"){
                        $("#status").css("color", "green").text("发送成功");
                        setTimeout(clear, 3000);
                    }else{
                        $("#status").css("color", "red").text(data);
                        setTimeout(clear, 5000);
                    }
                },
                error:function(data){
                    $("#status").css("color", "red").text("ERROR:" + data["status"] + ","
                        + data["statusText"]);
                    setTimeout(clear, 5000);
                }
            });
        }

        function clear(){
            $("#status").text("");
        }
    </script>
</body>
</html>
